Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## teamdev.jxcapture.controllers
Class ObjectOnScreenController

    java.lang.Object
      teamdev.jxcapture.controllers.SelectionController
          teamdev.jxcapture.controllers.ObjectOnScreenController

public class ObjectOnScreenController
extends SelectionController

The specified controller for processing the mouse and key events during the capture of the screen object.

Field Summary

Fields inherited from class teamdev.jxcapture.controllers.SelectionController
`captureListener`

Constructor Summary
`ObjectOnScreenController(SelectionPainter painter)`

Method Summary
`SelectionPainter` | `getSelectionPainter()` Returns a `SelectionPainter` object.
`boolean` | `onKeyAction(java.awt.event.KeyEvent event)` Invoked when a key action has occurred.
`boolean` | `onMouseAction(java.awt.event.MouseEvent event)` Invoked when a mouse action has occurred.

Methods inherited from class teamdev.jxcapture.controllers.SelectionController
`activate, fireCancelAction, fireCompleteAction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectOnScreenController

    public ObjectOnScreenController(SelectionPainter painter)

Method Detail

### onKeyAction

    public boolean onKeyAction(java.awt.event.KeyEvent event)

  Description copied from class: `SelectionController`
  Invoked when a key action has occurred.

  Specified by:
    `onKeyAction` in class `SelectionController`
  Returns:
    If need repaint returns true, otherwise - false

### onMouseAction

    public boolean onMouseAction(java.awt.event.MouseEvent event)

  Description copied from class: `SelectionController`
  Invoked when a mouse action has occurred.

  Specified by:
    `onMouseAction` in class `SelectionController`
  Returns:
    If need repaint returns true, otherwise - false

### getSelectionPainter

    public SelectionPainter getSelectionPainter()

  Description copied from class: `SelectionController`
  Returns a `SelectionPainter` object.

  Specified by:
    `getSelectionPainter` in class `SelectionController`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD